---
title: NodeIterator.pointerBeforeReferenceNode
slug: Web/API/NodeIterator/pointerBeforeReferenceNode
tags:
  - API
  - DOM
  - Experimental
  - Expérimental(2)
  - NodeIterator
  - Property
---
<p>{{APIRef("DOM")}} {{SeeCompatTable}}</p>

<p>The <strong><code>NodeIterator.pointerBeforeReferenceNode</code></strong> read-only property returns a {{domxref("Boolean")}} flag that indicates whether the {{domxref("NodeFilter")}} is anchored before (if this value is <code>true</code>) or after (if this value is <code>false</code>) the anchor node indicated by the {{domxref("NodeIterator.referenceNode")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>flag</em> = <em>nodeIterator</em>.pointerBeforeReferenceNode;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var nodeIterator = document.createNodeIterator(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
flag = nodeIterator.pointerBeforeReferenceNode;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-nodeiterator-pointerbeforereferencenode', 'NodeIterator.pointerBeforeReferenceNode')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NodeIterator.pointerBeforeReferenceNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The interface it belongs to: {{domxref("NodeIterator")}}</li>
</ul>
